Subject: Re: [Softwires] [softwire]Basic Requirements for Customer Edge Routers

From: "Yuchi Chen" <[email-masked]>
Date: Sun, 1 Apr 2012 15:44:42 +0800

Dear Sun,

It seems that you have missed some statements in the draft. In section 4.3, 
there are some lines clarifying 3 principles for IPv4 interface selection, just 
above the words you quoted:
>1.  IPv6 transport is preferred over any other.

>2.  Less address translation occurrences is preferred over more.
       [RFC5864][I-D.donley-nat444-impacts]

>3.  The closer the state is to the edge, the better.[RFC1958]
According to the first principle, the IPv6 transport is prior to any  other. That 
is the reason why the DS-Lite tunnel interface is preferred to native IPv4 one.

Actually, I have another question about this point. I think the question is 
not 'Why not use Native IPv4 interface for better performance', but 'Why prefer
the IPv6 tunnel interface to the native IPv4 interface'. I didn't find the answer in
the draft. Perhaps I've missed some words as well. IMHO, a clarification of the
reason could be provided in the draft, and thus the principles about might seem
to be more convictive.

Best Regards!

Yuchi Chen

From: sunjingwen
Date: 2012-04-01 11:05
To: mark; ot
CC: softwires WG
Subject: [Softwires] [softwire]Basic Requirements for Customer Edge Routers
Dear authors,
I've read the draft-townsley-troan-ipv6-ce-transitioning-02, and I have a question confused me very much.
 
In section 4.3, 
>In the case of DS-Lite and Native IPv4 configuration being present at the same time, 
>DS-Lite would be preferred as it uses IPv6 transport and Native IPv4 does not.
 
Do you mean if the CE receive user’s IPv4 packet, it will choose to use tunnel rather than IPv4?
But I think if use native IPv4 can also arrive the destination (IPv4 internet), the native IPv4 will more efficient than the tunnel, because it needn’t encapsulation and decapsulation.
 
Please correct me if there is any mistake~
 
     Thank you

Best regards!
sun jingwen

---

From: Ole Trøan <[email-masked]>
Date: Sun, 1 Apr 2012 10:42:37 +0200

> reason could be provided in the draft, and thus the principles about might seem

the idea was to allow for a controlled move from a native IPv4 connection (that is being sunet for an IPv6 only access) to IPv4 over DS-lite. the policy table proposed is all about IPv4 exit, not trying to optimize what IPv4 link-layer may give the best IPv4 service.

cheers,
Ole

---

From: "Yuchi Chen" <[email-masked]>
Date: Sun, 1 Apr 2012 19:38:48 +0800

Dear Ole,
Thanks for your quick and patient reply.I was just wondering why the IPv6 interface 
is preferred to the others.
So the point is that as the access network is transitioning to DS-Lite, the native IPv4 
interface is becoming more and more unlikely to be used, and hence the IPv6 transport 
should be prior to the IPv4 transport, in order to ensure a better IPv4 service. I hope
I have understood it correctly. 

Best regards!

Yuchi Chen

From: Ole Trøan
Date: 2012-04-01 16:42
To: chenycmx
CC: sunjingwen; softwires WG
Subject: Re: [Softwires] [softwire]Basic Requirements for Customer Edge Routers

cheers,
Ole

---

From: sunjingwen <[email-masked]>
Date: Mon, 2 Apr 2012 19:11:18 +0800

Dear Ole and yuchi chen,
   Thank you for your correction. I have understood it.

Best regard! 

sunjingwen

From: Yuchi Chen
Date: 2012-04-01 19:38
To: Ole Trøan
CC: softwires WG; sunjingwen
Subject: Re: Re: [Softwires] [softwire]Basic Requirements for Customer Edge Routers
Dear Ole,
Thanks for your quick and patient reply.I was just wondering why the IPv6 interface 
is preferred to the others.
So the point is that as the access network is transitioning to DS-Lite, the native IPv4 
interface is becoming more and more unlikely to be used, and hence the IPv6 transport 
should be prior to the IPv4 transport, in order to ensure a better IPv4 service. I hope
I have understood it correctly. 

Best regards!

Yuchi Chen

From: Ole Trøan
Date: 2012-04-01 16:42
To: chenycmx

cheers,
Ole